Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface GaussianBlurRable

All Superinterfaces:
  Filter, FilterColorInterpolation, RenderableImage

All Known Implementing Classes:
  GaussianBlurRable8Bit

    public interface GaussianBlurRable

extends FilterColorInterpolation

Implements a GaussianBlur operation, where the blur size is defined by standard deviations along the x and y axis.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`Filter` | `getSource()` Returns the source to be Blurred
`double` | `getStdDeviationX()` Returns the deviation along the x-axis, in user space.
`double` | `getStdDeviationY()` Returns the deviation along the y-axis, in user space.
`void` | `setSource(Filter src)` Sets the source to be blurred.
`void` | `setStdDeviationX(double stdDeviationX)` The deviation along the x axis, in user space.
`void` | `setStdDeviationY(double stdDeviationY)` The deviation along the y axis, in user space.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    Filter getSource()

  Returns the source to be Blurred

### setSource

    void setSource(Filter src)

  Sets the source to be blurred.

  Parameters:
    `src` - image to blurred.

### setStdDeviationX

    void setStdDeviationX(double stdDeviationX)

  The deviation along the x axis, in user space.

  Parameters:
    `stdDeviationX` - should be greater than zero.

### setStdDeviationY

    void setStdDeviationY(double stdDeviationY)

  The deviation along the y axis, in user space.

  Parameters:
    `stdDeviationY` - should be greater than zero

### getStdDeviationX

    double getStdDeviationX()

  Returns the deviation along the x-axis, in user space.

### getStdDeviationY

    double getStdDeviationY()

  Returns the deviation along the y-axis, in user space.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.